package com.zaojiao.component.course

import androidx.compose.foundation.ExperimentalFoundationApi
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.material3.Surface
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import com.zaojiao.component.common.PageState
import com.zaojiao.component.common.StatePage

@OptIn(ExperimentalFoundationApi::class)
@Composable
fun HomeCoursePage() {
    Surface(
        color = Color.White,
        modifier = Modifier.fillMaxSize(),
    ) {
        StatePage(state = PageState.Success) {
            LazyColumn(
                modifier = Modifier.fillMaxWidth()
            ) {
                stickyHeader {
                    HomeCourseTopBar()
                }

                item {
                    HomeCourseTopSwiper()
                }

                item {
                    HomeCourseCategory()
                }

                item {
                    HomeCourseZone()
                }

                item {
                    HomeCourseGroupBuy()
                }

                item {
                    HomeCourseRecommend()
                }
            }
        }
    }
}